<?php

    use PHPMailer\PHPMailer\PHPMailer;
    use PHPMailer\PHPMailer\Exception;

    require 'src/Exception.php';
    require 'src/PHPMailer.php';
    require 'src/SMTP.php';


    $msgBody = <<<_
        <b>Gönderen:</b> {$_POST['namesurname']}<br>
        <b>Email:</b> {$_POST['email']}<br><hr /><b>Mesaj:</b><br>
    _;

        $mail = new PHPMailer(true);
        try {
            //Server settings
            $mail->CharSet = 'UTF-8';
            $mail->SMTPDebug = 0; // debug on - off
            $mail->isSMTP(); 
            $mail->Host = 'smtp.hostinger.com'; // SMTP sunucusu örnek : mail.alanadi.com
            $mail->SMTPAuth = true; // SMTP Doğrulama
            $mail->Username = 'info@okatarim.com.tr'; // Mail kullanıcı adı
            $mail->Password = 'OkaTarim.2022'; // Mail şifresi
            $mail->SMTPSecure = 'ssl'; // Şifreleme
            $mail->Port = 465; // SMTP Port
            $mail->SMTPOptions = array(
            'ssl' => array(
                'verify_peer' => false,
                'verify_peer_name' => false,
                'allow_self_signed' => true
            )
        );

            //Alıcılar
            $mail->setfrom('info@okatarim.com.tr', 'Oka Tarım - İletişim Formu');
            $mail->addAddress('info@okatarim.com.tr');
            $mail->addReplyTo($_POST['email'], $_POST['email']);
            //İçerik
            $mail->isHTML(true);
            $mail->Subject = $_POST['subject'];
            $mail->Body = $msgBody.$_POST['message'];

            $mail->send();
            
            echo json_encode("Mesajınız başarıyla iletildi.");
        } catch (Exception $e) {
            echo json_encode('Mesajınız bir hata nedeniyle iletilemedi. Hata: ', $mail->ErrorInfo);
        }

?>